Begin passkey registration
POST
/auth/v1/users/current/passkeys/register/beginBegins registering a new passkey for the authenticated user by returning a session_id and WebAuthn creation options.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
session_id and WebAuthn options
type: unknown
{
"$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
"$ref-value": {
"properties": {
"options": {
"items": {
"type": "integer"
},
"type": "array"
},
"session_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/passkeys/register/begin"session_id and WebAuthn options
application/json
{
"$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
"$ref-value": {
"properties": {
"options": {
"items": {
"type": "integer"
},
"type": "array"
},
"session_id": {
"type": "string"
}
},
"type": "object"
}
}Finish passkey login POST
Completes a passkey login by verifying the signed WebAuthn credential against the session and returning authentication tokens.
Finish passkey registration POST
Completes passkey registration by verifying the signed WebAuthn credential and storing it under the given name for the authenticated user.